By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
440,551 Members | 1,142 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 440,551 IT Pros & Developers. It's quick & easy.

Python for Smartcards on Windows XP (Python 2.4)

P: n/a
Dear all

I headed for for a Smartcard lib for Python and found PyCSC. The zipped
sources do not build [1] and the installer (exe file) wants to see a Python
2.5 installation. Does anyone know of an installer for Python 2.4?

Kind regards
Thin Myrna

[1] "python setup.py install" yields

F:\Software.Python\PyCSC\PyCSC-0.3>python setup.py install
running install
running bdist_egg
running egg_info
writing .\PyCSC.egg-info\PKG-INFO
writing top-level names to .\PyCSC.egg-info\top_level.txt
installing library code to build\bdist.win32\egg
running install_lib
running build_py
running build_ext
error: The .NET Framework SDK needs to be installed before building
extensions for Python.

This is strange, becaus ethere shouldn't be any dep's on .NET. Instead it
should use MSVC6 to compile/link into pycsc.pyd.
May 18 '07 #1
Share this question for a faster answer!
Share on Google+

This discussion thread is closed

Replies have been disabled for this discussion.